Jump to content

  • You cannot start a new topic
  • You cannot reply to this topic

Site hacked Rate Topic   - - - - -

 
  • Southice
  • Junior Member
  • Members
  • Join Date: 13-Nov 06
  • 23 posts

Posted 30 July 2007 - 09:49 AM #1

Hi, when I went to my site I saw that it was hacked. Someone modified the config.php file to:

Hacked By BlooDy
Senı sevıyorum cıgdem

so when you went to the site you got this message (I uploaded a backup config.php file to get the online site working and changed the config.php on my localhost to the hacked one):

Hacked By BlooDy Senı sevıyorum cıgdem
Warning: require_once(fn_compat.php) [function.require-once]: failed to open stream: No such file or directory in C:\localhost\site\init.php on line 42

Fatal error: require_once() [function.require]: Failed opening required 'fn_compat.php' (include_path='C:\localhost\site\classes\pear;.;C:\php5\pear') in C:\localhost\site\init.php on line 42

Was the break in security the server or cs-cart?

I'm running 1.3.4-sp1 and the permissions for the config.php file was 644.

Can someone please help me to prevent this from happening again?

Thanks.

 

Posted 30 July 2007 - 10:45 AM #2

http://www.google.co...lient=firefox-a

Nothing new in my opinion.
It's never possible to know either or and that's a prime reason not to go with shared hosting as all/most issues are created my your server's co-tenants.
I've moved on from CS-Cart to WooC******** - If you need anything I can be of little help.